-- mod_brolands modification will replace all faction's weapons with default Brolands mod SMG
-- pretty useful for TowerAssault and some random awesomeness and pretty useless for UL2 since it
-- disables diggers and tools

if PresetMan:GetModuleID("Brolands.rte") then
	for i = 1, #CF_Factions do
		local factionid = CF_Factions[i];

		CF_ItmNames[factionid] = {}
		CF_ItmPresets[factionid] = {}
		CF_ItmModules[factionid] = {}
		CF_ItmPrices[factionid] = {}
		CF_ItmDescriptions[factionid] = {}
		CF_ItmUnlockData[factionid] = {}
		CF_ItmClasses[factionid] = {}
		CF_ItmTypes[factionid] = {}
		CF_ItmPowers[factionid] = {}
		
		CF_ItmNames[factionid][1] = "Brolands SMG"
		CF_ItmPresets[factionid][1] = "Brolands SMG"
		CF_ItmModules[factionid][1] = "Brolands.rte"
		CF_ItmPrices[factionid][1] = 0
		CF_ItmDescriptions[factionid][1] = "Random awesomeness"
		CF_ItmUnlockData[factionid][1] = 0 -- 0 means available at start
		CF_ItmTypes[factionid][1] = CF_WeaponTypes.RIFLE;
		CF_ItmPowers[factionid][1] = 5
	end
end





	


